apiVersion: route.openshift.io/v1
kind: Route
metadata:
  labels:
    app: {{ .Values.pyApp.name }}
    app.kubernetes.io/name: {{ .Values.pyApp.name }}
    helm.sh/chart: {{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/version: {{ .Chart.AppVersion }}
  name: {{ .Values.pyApp.name }}
  namespace: {{ .Release.Namespace }}
spec:
  host: "{{ .Release.Name }}-{{ .Release.Namespace }}.{{ .Values.clusterDomain }}"
  to:
    kind: Service
    name: {{ .Values.pyApp.name }}
  port:
    targetPort: {{ .Values.pyApp.port }}
  tls:
    termination: edge
    insecureEdgeTerminationPolicy: Redirect
